# Update User Update an end-user by their ID. Endpoint: POST /update_user Version: 0.0.1 Security: BearerAuth ## Request fields (application/json): - `user_id` (string) ID of the end-user in your system Example: "user_123" - `attributes` (object) Attributes associated with the end-user Example: {"plan_type":"enterprise","signup_date":"2024-01-15","is_premium":true} ## Response 200 fields (application/json): - `data` (object) End user having a conversation with Fin or with an agent. - `data.id` (string, required) Unique identifier for the user in your system Example: "user_123456" - `data.user_type` (string, required) Type of user Enum: "end_user" - `data.name` (string,null) User's display name Example: "Jane Doe" - `data.email` (string,null) User's email address Example: "jane.doe@example.com" - `data.photo_url` (string,null) URL to user's avatar/profile picture (displayed in Fin Messenger) Example: "https://example.com/avatars/jane.jpg" - `data.attributes` (object,null) Attributes associated with the end-user Example: {"plan_type":"enterprise","signup_date":"2024-01-15","is_premium":true} - `error` (object) The error returned by the API. This is an RFC 7807 problem details object: . - `error.type` (string) A URI reference that identifies the problem type. - `error.title` (string) A short, human-readable summary of the problem type. - `error.status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `error.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `error.instance` (string) A URI reference that identifies the specific occurrence of the problem.